org.omg.CORBA

## Class NO_RESOURCES

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.NO_RESOURCES

- All Implemented Interfaces:
    Serializable

      public final class NO_RESOURCES
      extends SystemException

  Exception thrown when the ORB has encountered some general resource limitation. For example, the run time may have reached the maximum permissible number of open connections.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  Since:
    JDK1.2
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NO_RESOURCES()` | Constructs a `NO_RESOURCES` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
    `NO_RESOURCES(int minor, CompletionStatus completed)` | Constructs a `NO_RESOURCES` exception with the specified minor code and completion status.
    `NO_RESOURCES(String s)` | Constructs a `NO_RESOURCES` exception with the specified description, a minor code of 0, and a completion state of COMPLETED_NO.
    `NO_RESOURCES(String s, int minor, CompletionStatus completed)` | Constructs a `NO_RESOURCES` exception with the specified description message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NO_RESOURCES

          public NO_RESOURCES()

      Constructs a `NO_RESOURCES` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

    - #### NO_RESOURCES

          public NO_RESOURCES(String s)

      Constructs a `NO_RESOURCES` exception with the specified description, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a description message

    - #### NO_RESOURCES

          public NO_RESOURCES(int minor,
                              CompletionStatus completed)

      Constructs a `NO_RESOURCES` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status

    - #### NO_RESOURCES

          public NO_RESOURCES(String s,
                              int minor,
                              CompletionStatus completed)

      Constructs a `NO_RESOURCES` exception with the specified description message, minor code, and completion status.
      Parameters:
        `s` - the String containing a description message
        `minor` - the minor code
        `completed` - the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.